package com.dgtly.sync.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dgtly.sync.mapper.MetaUserinfoAllMapper;
import com.dgtly.sync.domain.MetaUserinfoAll;
import com.dgtly.sync.service.IMetaUserinfoAllService;
import com.dgtly.common.core.text.Convert;

/**
 * 立邦用户数据Service业务层处理
 * 
 * @author qxp
 * @date 2020-07-16
 */
@Service
public class MetaUserinfoAllServiceImpl implements IMetaUserinfoAllService 
{
    @Autowired
    private MetaUserinfoAllMapper metaUserinfoAllMapper;

    /**
     * 查询立邦用户数据
     * 
     * @param id 立邦用户数据ID
     * @return 立邦用户数据
     */
    @Override
    public MetaUserinfoAll selectMetaUserinfoAllById(Long id)
    {
        return metaUserinfoAllMapper.selectMetaUserinfoAllById(id);
    }

    /**
     * 查询立邦用户数据列表
     * 
     * @param metaUserinfoAll 立邦用户数据
     * @return 立邦用户数据
     */
    @Override
    public List<MetaUserinfoAll> selectMetaUserinfoAllList(MetaUserinfoAll metaUserinfoAll)
    {
        return metaUserinfoAllMapper.selectMetaUserinfoAllList(metaUserinfoAll);
    }

    /**
     * 新增立邦用户数据
     * 
     * @param metaUserinfoAll 立邦用户数据
     * @return 结果
     */
    @Override
    public int insertMetaUserinfoAll(MetaUserinfoAll metaUserinfoAll)
    {
        return metaUserinfoAllMapper.insertMetaUserinfoAll(metaUserinfoAll);
    }

    /**
     * 修改立邦用户数据
     * 
     * @param metaUserinfoAll 立邦用户数据
     * @return 结果
     */
    @Override
    public int updateMetaUserinfoAll(MetaUserinfoAll metaUserinfoAll)
    {
        return metaUserinfoAllMapper.updateMetaUserinfoAll(metaUserinfoAll);
    }

    /**
     * 删除立邦用户数据对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteMetaUserinfoAllByIds(String ids)
    {
        return metaUserinfoAllMapper.deleteMetaUserinfoAllByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除立邦用户数据信息
     * 
     * @param id 立邦用户数据ID
     * @return 结果
     */
    @Override
    public int deleteMetaUserinfoAllById(Long id)
    {
        return metaUserinfoAllMapper.deleteMetaUserinfoAllById(id);
    }
}
